Bug 179178 - Include 'video/*' in image request Accept header if browser supports video media in image contexts.
Summary: Include 'video/*' in image request Accept header if browser supports video me...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-02 09:11 PDT by Jer Noble
Modified: 2017-12-19 16:18 PST (History)
9 users (show)

See Also:


Attachments
Patch (11.51 KB, patch)
2017-11-02 09:15 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-elcapitan-wk2 (1.76 MB, application/zip)
2017-11-02 10:23 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews102 for mac-elcapitan (1.20 MB, application/zip)
2017-11-02 10:29 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (1.03 MB, application/zip)
2017-11-02 10:38 PDT, Build Bot
no flags Details
Patch (13.21 KB, patch)
2017-11-02 10:50 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (13.19 KB, patch)
2017-11-02 11:37 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-elcapitan (1.05 MB, application/zip)
2017-11-02 12:36 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-elcapitan-wk2 (1.64 MB, application/zip)
2017-11-02 12:54 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (1.10 MB, application/zip)
2017-11-02 12:59 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-elcapitan (1.88 MB, application/zip)
2017-11-02 13:00 PDT, Build Bot
no flags Details
Patch for landing (25.71 KB, patch)
2017-11-02 23:51 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (25.64 KB, patch)
2017-11-03 08:30 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-elcapitan (1009.43 KB, application/zip)
2017-11-03 09:27 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (1.20 MB, application/zip)
2017-11-03 09:33 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-elcapitan (1.79 MB, application/zip)
2017-11-03 09:54 PDT, Build Bot
no flags Details
Patch for landing (13.91 KB, patch)
2017-11-03 10:18 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-elcapitan (1.09 MB, application/zip)
2017-11-03 11:05 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (1.22 MB, application/zip)
2017-11-03 11:18 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-elcapitan (1.82 MB, application/zip)
2017-11-03 11:38 PDT, Build Bot
no flags Details
Patch for landing (26.55 KB, patch)
2017-11-03 14:42 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (36.10 KB, patch)
2017-11-03 15:32 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-elcapitan (1.09 MB, application/zip)
2017-11-03 16:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (1.70 MB, application/zip)
2017-11-03 16:24 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-elcapitan (1.78 MB, application/zip)
2017-11-03 17:01 PDT, Build Bot
no flags Details
Patch for landing (37.03 KB, patch)
2017-11-09 10:25 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (37.94 KB, patch)
2017-12-02 09:24 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-elcapitan (2.25 MB, application/zip)
2017-12-02 10:05 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (2.58 MB, application/zip)
2017-12-02 10:34 PST, Build Bot
no flags Details
Patch for landing (38.78 KB, patch)
2017-12-02 10:43 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-elcapitan (2.14 MB, application/zip)
2017-12-02 11:39 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-elcapitan (2.88 MB, application/zip)
2017-12-02 12:07 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (2.90 MB, application/zip)
2017-12-02 12:49 PST, Build Bot
no flags Details
Patch for landing (28.57 KB, patch)
2017-12-03 20:52 PST, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2017-11-02 09:11:52 PDT
Include 'video/*' in image request Accept header if browser supports video media in image contexts.
Comment 1 Jer Noble 2017-11-02 09:15:57 PDT
Created attachment 325717 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2017-11-02 09:17:17 PDT
<rdar://problem/35315768>
Comment 3 Build Bot 2017-11-02 10:23:30 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2017-11-02 10:23:31 PDT Comment hidden (obsolete)
Comment 5 Build Bot 2017-11-02 10:29:37 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2017-11-02 10:29:39 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2017-11-02 10:38:33 PDT Comment hidden (obsolete)
Comment 8 Build Bot 2017-11-02 10:38:34 PDT Comment hidden (obsolete)
Comment 9 Jer Noble 2017-11-02 10:50:13 PDT
Created attachment 325735 [details]
Patch
Comment 10 Jer Noble 2017-11-02 11:37:24 PDT
Created attachment 325737 [details]
Patch
Comment 11 Build Bot 2017-11-02 12:36:41 PDT Comment hidden (obsolete)
Comment 12 Build Bot 2017-11-02 12:36:43 PDT Comment hidden (obsolete)
Comment 13 Build Bot 2017-11-02 12:54:28 PDT Comment hidden (obsolete)
Comment 14 Build Bot 2017-11-02 12:54:29 PDT Comment hidden (obsolete)
Comment 15 Build Bot 2017-11-02 12:59:50 PDT Comment hidden (obsolete)
Comment 16 Build Bot 2017-11-02 12:59:51 PDT Comment hidden (obsolete)
Comment 17 Build Bot 2017-11-02 13:00:37 PDT Comment hidden (obsolete)
Comment 18 Build Bot 2017-11-02 13:00:38 PDT Comment hidden (obsolete)
Comment 19 Alex Christensen 2017-11-02 13:01:51 PDT
Comment on attachment 325737 [details]
Patch

I'm ok with the accept header, but it looks like your "drive-by fix" caused some issues.  Please fix before landing.
Comment 20 Jer Noble 2017-11-02 23:51:40 PDT
Created attachment 325867 [details]
Patch for landing
Comment 21 Jer Noble 2017-11-03 08:30:30 PDT
Created attachment 325898 [details]
Patch for landing
Comment 22 Build Bot 2017-11-03 09:27:20 PDT Comment hidden (obsolete)
Comment 23 Build Bot 2017-11-03 09:27:21 PDT Comment hidden (obsolete)
Comment 24 Build Bot 2017-11-03 09:33:34 PDT Comment hidden (obsolete)
Comment 25 Build Bot 2017-11-03 09:33:35 PDT Comment hidden (obsolete)
Comment 26 Build Bot 2017-11-03 09:54:02 PDT Comment hidden (obsolete)
Comment 27 Build Bot 2017-11-03 09:54:03 PDT Comment hidden (obsolete)
Comment 28 Jer Noble 2017-11-03 10:18:05 PDT
Created attachment 325910 [details]
Patch for landing
Comment 29 Build Bot 2017-11-03 11:05:00 PDT Comment hidden (obsolete)
Comment 30 Build Bot 2017-11-03 11:05:02 PDT Comment hidden (obsolete)
Comment 31 Build Bot 2017-11-03 11:18:45 PDT Comment hidden (obsolete)
Comment 32 Build Bot 2017-11-03 11:18:47 PDT Comment hidden (obsolete)
Comment 33 Build Bot 2017-11-03 11:38:24 PDT Comment hidden (obsolete)
Comment 34 Build Bot 2017-11-03 11:38:25 PDT Comment hidden (obsolete)
Comment 35 Jer Noble 2017-11-03 14:42:14 PDT
Created attachment 325963 [details]
Patch for landing
Comment 36 Jer Noble 2017-11-03 15:32:57 PDT
Created attachment 325973 [details]
Patch for landing
Comment 37 Build Bot 2017-11-03 16:15:19 PDT Comment hidden (obsolete)
Comment 38 Build Bot 2017-11-03 16:15:21 PDT Comment hidden (obsolete)
Comment 39 Build Bot 2017-11-03 16:24:03 PDT Comment hidden (obsolete)
Comment 40 Build Bot 2017-11-03 16:24:04 PDT Comment hidden (obsolete)
Comment 41 Build Bot 2017-11-03 17:01:26 PDT Comment hidden (obsolete)
Comment 42 Build Bot 2017-11-03 17:01:27 PDT Comment hidden (obsolete)
Comment 43 Jer Noble 2017-11-09 10:25:44 PST
Created attachment 326464 [details]
Patch for landing
Comment 44 Jer Noble 2017-12-02 09:24:49 PST
Created attachment 328234 [details]
Patch for landing
Comment 45 Build Bot 2017-12-02 10:05:31 PST Comment hidden (obsolete)
Comment 46 Build Bot 2017-12-02 10:05:32 PST Comment hidden (obsolete)
Comment 47 Build Bot 2017-12-02 10:33:58 PST Comment hidden (obsolete)
Comment 48 Build Bot 2017-12-02 10:34:00 PST Comment hidden (obsolete)
Comment 49 Jer Noble 2017-12-02 10:43:09 PST
Created attachment 328240 [details]
Patch for landing
Comment 50 Build Bot 2017-12-02 11:39:37 PST
Comment on attachment 328240 [details]
Patch for landing

Attachment 328240 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5468376

New failing tests:
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-img-element/update-the-source-set.html
Comment 51 Build Bot 2017-12-02 11:39:39 PST
Created attachment 328244 [details]
Archive of layout-test-results from ews102 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 52 Build Bot 2017-12-02 12:07:40 PST
Comment on attachment 328240 [details]
Patch for landing

Attachment 328240 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5468418

New failing tests:
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-img-element/update-the-source-set.html
Comment 53 Build Bot 2017-12-02 12:07:42 PST
Created attachment 328246 [details]
Archive of layout-test-results from ews114 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 54 Build Bot 2017-12-02 12:49:23 PST
Comment on attachment 328240 [details]
Patch for landing

Attachment 328240 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5468828

New failing tests:
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-img-element/update-the-source-set.html
Comment 55 Build Bot 2017-12-02 12:49:25 PST
Created attachment 328249 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 56 Jer Noble 2017-12-03 20:52:26 PST
Created attachment 328326 [details]
Patch for landing
Comment 57 WebKit Commit Bot 2017-12-04 00:49:29 PST
Comment on attachment 328326 [details]
Patch for landing

Clearing flags on attachment: 328326

Committed r225472: <https://trac.webkit.org/changeset/225472>
Comment 58 WebKit Commit Bot 2017-12-04 00:49:32 PST
All reviewed patches have been landed.  Closing bug.
Comment 59 Matt Lewis 2017-12-19 14:56:57 PST
The test added in this patch is extremely flaky on macOS Sierra and High Sierra WK1:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=http%2Ftests%2Fimages%2Fimage-supports-video.html

https://build.webkit.org/results/Apple%20Sierra%20Debug%20WK1%20(Tests)/r226129%20(5383)/results.html
https://build.webkit.org/builders/Apple%20Sierra%20Debug%20WK1%20(Tests)/builds/5383

diff:

--- /Volumes/Data/slave/sierra-debug-tests-wk1/build/layout-test-results/http/tests/images/image-supports-video-expected.txt
+++ /Volumes/Data/slave/sierra-debug-tests-wk1/build/layout-test-results/http/tests/images/image-supports-video-actual.txt
@@ -1,2 +1,2 @@
   
-PASS: video source selected.
+FAIL: <img> threw error.